#!/usr/bin/perl
use strict;
use ExSite::Config;
use ExSite::Misc;

# http referer
my $http_referer = $ENV{HTTP_REFERER};
$http_referer =~ /(.+)\/(.+)\?(.+)/i;
# server url
my $server = $1."/";
# cgi script
my $script = $2;
# query string
my $referer_query = $3;
# decode 'get' query string
my %data = &DecodeInput();
# skip certain query string from the query string
my @skip = ("module");
my $skiplist = join("|",@skip);
# query string from the http_referer
my %referer_data = &DecodeString($referer_query);
delete $referer_data{path};
foreach my $key(keys(%data)){
	next if $key =~ /$skiplist/i;
	# overwrite http_referer query string values
	$referer_data{$key} = $data{$key};
}
delete $referer_data{resource_id};
delete $referer_data{topic_id};
# construct new url containing updated query string
my $newurl = "$server$script?".&EncodeHash(%referer_data);

print "location: $newurl\n\n";
